com.amazonaws.codegen.model.intermediate

## Class Metadata

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.Metadata

    public class Metadata
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Metadata()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getApiVersion()`
`String` `getAsyncAbstractClass()`
`String` `getAsyncClient()`
`String` `getAsyncClientBuilderClassName()`
`String` `getAsyncInterface()`
`String` `getChecksumFormat()`
`String` `getContentType()`
`String` `getCucumberModuleInjectorClassName()`
`String` `getDefaultEndpoint()`
`String` `getDefaultEndpointWithoutHttpProtocol()`
`String` `getDocumentation()`
`String` `getEndpointPrefix()`
`String` `getJsonVersion()`
`String` `getPackageName()`
`String` `getPackagePath()`
`Protocol` `getProtocol()`
`String` `getProtocolDefaultExceptionUmarshallerImpl()`
`String` `getRequestBaseFqcn()`
`String` `getServiceAbbreviation()` Returns an abbreviated name for the service if one is defined in the service model; for example "Amazon EC2".
`String` `getServiceFullName()` Returns the full name of the service as defined in the service model; for example "Amazon Elastic Compute Cloud".
`String` `getServiceName()` Returns a convenient name for the service.
`String` `getSigningName()`
`String` `getSmokeTestsPackageName()`
`String` `getSyncAbstractClass()`
`String` `getSyncClient()`
`String` `getSyncClientBuilderClassName()`
`String` `getSyncInterface()`
`String` `getUnmarshallerClassSuffix()`
`String` `getUnmarshallerContextClassName()`
`boolean` `isCborProtocol()`
`boolean` `isHasApiWithStreamInput()`
`boolean` `isIonProtocol()`
`boolean` `isJsonProtocol()`
`boolean` `isXmlProtocol()`
`void` `setApiVersion(String apiVersion)`
`void` `setAsyncClient(String asyncClient)`
`void` `setAsyncInterface(String asyncInterface)`
`void` `setChecksumFormat(String checksumFormat)`
`void` `setContentType(String contentType)`
`void` `setDefaultEndpoint(String defaultEndpoint)`
`void` `setDefaultEndpointWithoutHttpProtocol(String defaultEndpointWithoutHttpProtocol)`
`void` `setDocumentation(String documentation)`
`void` `setEndpointPrefix(String endpointPrefix)`
`void` `setHasApiWithStreamInput(boolean hasApiWithStreamInput)`
`void` `setJsonVersion(String jsonVersion)`
`void` `setPackageName(String packageName)`
`void` `setPackagePath(String packagePath)`
`void` `setProtocol(Protocol protocol)`
`void` `setServiceAbbreviation(String serviceAbbreviation)`
`void` `setServiceFullName(String serviceFullName)`
`void` `setSigningName(String signingName)`
`void` `setSyncClient(String syncClient)`
`void` `setSyncInterface(String syncInterface)`
`Metadata` `withApiVersion(String apiVersion)`
`Metadata` `withAsyncClient(String asyncClient)`
`Metadata` `withAsyncInterface(String asyncInterface)`
`Metadata` `withChecksumFormat(String checksumFormat)`
`Metadata` `withDefaultEndpoint(String defaultEndpoint)`
`Metadata` `withDefaultEndpointWithoutHttpProtocol(String defaultEndpointWithoutHttpProtocol)`
`Metadata` `withDocumentation(String documentation)`
`Metadata` `withEndpointPrefix(String endpointPrefix)`
`Metadata` `withHasApiWithStreamInput(boolean hasApiWithStreamInput)`
`Metadata` `withJsonVersion(String jsonVersion)`
`Metadata` `withPackageName(String packageName)`
`Metadata` `withPackagePath(String packagePath)`
`Metadata` `withProtocol(Protocol protocol)`
`Metadata` `withServiceAbbreviation(String serviceAbbreviation)`
`Metadata` `withServiceFullName(String serviceFullName)`
`Metadata` `withSigningName(String signingName)`
`Metadata` `withSyncClient(String syncClient)`
`Metadata` `withSyncInterface(String syncInterface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Metadata

    public Metadata()

### Method Detail

#### getApiVersion

    public String getApiVersion()

#### setApiVersion

    public void setApiVersion(String apiVersion)

#### withApiVersion

    public Metadata withApiVersion(String apiVersion)

#### getProtocol

    public Protocol getProtocol()

#### setProtocol

    public void setProtocol(Protocol protocol)

#### withProtocol

    public Metadata withProtocol(Protocol protocol)

#### getProtocolDefaultExceptionUmarshallerImpl

    public String getProtocolDefaultExceptionUmarshallerImpl()

Returns:
  The default implementation of exception unmarshallers to use when no custom one is provided through `CustomizationConfig`

#### getChecksumFormat

    public String getChecksumFormat()

#### setChecksumFormat

    public void setChecksumFormat(String checksumFormat)

#### withChecksumFormat

    public Metadata withChecksumFormat(String checksumFormat)

#### getDocumentation

    public String getDocumentation()

#### setDocumentation

    public void setDocumentation(String documentation)

#### withDocumentation

    public Metadata withDocumentation(String documentation)

#### getDefaultEndpoint

    public String getDefaultEndpoint()

#### setDefaultEndpoint

    public void setDefaultEndpoint(String defaultEndpoint)

#### withDefaultEndpoint

    public Metadata withDefaultEndpoint(String defaultEndpoint)

#### getDefaultEndpointWithoutHttpProtocol

    public String getDefaultEndpointWithoutHttpProtocol()

#### setDefaultEndpointWithoutHttpProtocol

    public void setDefaultEndpointWithoutHttpProtocol(String defaultEndpointWithoutHttpProtocol)

#### withDefaultEndpointWithoutHttpProtocol

    public Metadata withDefaultEndpointWithoutHttpProtocol(String defaultEndpointWithoutHttpProtocol)

#### getSyncInterface

    public String getSyncInterface()

#### setSyncInterface

    public void setSyncInterface(String syncInterface)

#### withSyncInterface

    public Metadata withSyncInterface(String syncInterface)

#### getSyncAbstractClass

    public String getSyncAbstractClass()

#### getSyncClient

    public String getSyncClient()

#### setSyncClient

    public void setSyncClient(String syncClient)

#### withSyncClient

    public Metadata withSyncClient(String syncClient)

#### getAsyncInterface

    public String getAsyncInterface()

#### setAsyncInterface

    public void setAsyncInterface(String asyncInterface)

#### withAsyncInterface

    public Metadata withAsyncInterface(String asyncInterface)

#### getAsyncAbstractClass

    public String getAsyncAbstractClass()

#### getAsyncClient

    public String getAsyncClient()

#### setAsyncClient

    public void setAsyncClient(String asyncClient)

#### withAsyncClient

    public Metadata withAsyncClient(String asyncClient)

#### getSyncClientBuilderClassName

    public String getSyncClientBuilderClassName()

Returns:
  The class name for the fluent sync client builder.

#### getAsyncClientBuilderClassName

    public String getAsyncClientBuilderClassName()

Returns:
  The class name for the fluent async client builder.

#### getPackageName

    public String getPackageName()

#### setPackageName

    public void setPackageName(String packageName)

#### withPackageName

    public Metadata withPackageName(String packageName)

#### getPackagePath

    public String getPackagePath()

#### setPackagePath

    public void setPackagePath(String packagePath)

#### withPackagePath

    public Metadata withPackagePath(String packagePath)

#### getCucumberModuleInjectorClassName

    public String getCucumberModuleInjectorClassName()

Returns:
  The class name for service specific ModuleInjector.

#### getSmokeTestsPackageName

    public String getSmokeTestsPackageName()

Returns:
  The package name for the smoke tests.

#### getServiceAbbreviation

    public String getServiceAbbreviation()

Returns an abbreviated name for the service if one is defined in the service model; for example "Amazon EC2". Returns null if no abbreviation is defined.

#### setServiceAbbreviation

    public void setServiceAbbreviation(String serviceAbbreviation)

#### withServiceAbbreviation

    public Metadata withServiceAbbreviation(String serviceAbbreviation)

#### getServiceFullName

    public String getServiceFullName()

Returns the full name of the service as defined in the service model; for example "Amazon Elastic Compute Cloud".

#### setServiceFullName

    public void setServiceFullName(String serviceFullName)

#### withServiceFullName

    public Metadata withServiceFullName(String serviceFullName)

#### getServiceName

    public String getServiceName()

Returns a convenient name for the service. If an abbreviated form of the service name is available it will return that, otherwise it will return the full service name.

Use me when casually referring to a service in documentation. Use `getServiceFullName` if you want to make sure you have the full-on official name of the service.

#### isHasApiWithStreamInput

    public boolean isHasApiWithStreamInput()

#### setHasApiWithStreamInput

    public void setHasApiWithStreamInput(boolean hasApiWithStreamInput)

#### withHasApiWithStreamInput

    public Metadata withHasApiWithStreamInput(boolean hasApiWithStreamInput)

#### getJsonVersion

    public String getJsonVersion()

#### setJsonVersion

    public void setJsonVersion(String jsonVersion)

#### withJsonVersion

    public Metadata withJsonVersion(String jsonVersion)

#### isIonProtocol

    public boolean isIonProtocol()

#### isCborProtocol

    public boolean isCborProtocol()

#### isJsonProtocol

    public boolean isJsonProtocol()

#### isXmlProtocol

    public boolean isXmlProtocol()

#### getEndpointPrefix

    public String getEndpointPrefix()

#### setEndpointPrefix

    public void setEndpointPrefix(String endpointPrefix)

#### withEndpointPrefix

    public Metadata withEndpointPrefix(String endpointPrefix)

#### getSigningName

    public String getSigningName()

#### setSigningName

    public void setSigningName(String signingName)

#### withSigningName

    public Metadata withSigningName(String signingName)

#### setContentType

    public void setContentType(String contentType)

#### getContentType

    public String getContentType()

#### getUnmarshallerContextClassName

    public String getUnmarshallerContextClassName()

#### getUnmarshallerClassSuffix

    public String getUnmarshallerClassSuffix()

#### getRequestBaseFqcn

    public String getRequestBaseFqcn()